{% extends "assessments/layout_assessment.html" %}

{% comment %}

Assessment detail page, with questionnaire list

Context:
    assessment

{% endcomment %}

{% load i18n %}
{% load sekizai_tags %}
{% load humanize %}

{% block page_content %}

    <div class="page-section">
        <div class="page-section-content">
            {% if layout_name == 'hzpc' %}
              <div id="app">
              {% else %}
              <div id="app"></div>
              {% endif %}
              {% addtoblock "javascript" %}
                  <script>
                      // Render React app
                      App({
                          mountPoint: 'app',
                          readOnly: {% if read_only %}true{% else %}false{% endif %}
                        });
                  </script>
              {% endaddtoblock %}
            </div>
        </div>
    </div>


    {# ################## MODAL ########################## #}

    <!-- Export -->
    <div id="exportModal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button class="close" data-dismiss="modal">×</button>
                    <h4 class="modal-title">
                        {% trans "Export answers" %}
                    </h4>
                </div>

                <div class="modal-body">
                    <p>You can export your answers to this assessment and save them to your computer by selecting one of
                        the formats below:</p>

                    <div class="">
                        <a href="{% url "my_assessment_export_csv" organization.slug assessment.pk %}"
                           class="btn btn-default btn-sm">
                            <span class="icon-file"></span>
                            Comma Separated Values (CSV)
                        </a>
                        <a href="#" class="btn btn-default btn-sm disabled">
                            <span class="icon-table"></span>
                            Microsoft Excel document
                        </a>
                        <a href="#" class="btn btn-default btn-sm disabled">
                            <span class="icon-file"></span>
                            Adobe PDF
                        </a>
                    </div>
                </div>

                <div class="modal-footer">
                    <button class="btn btn-default" data-dismiss="modal" aria-hidden="true">
                        {% trans "Close" %}
                    </button>
                </div>

            </div>
        </div>
    </div>

{% endblock %}

{% block sidebar %}{% endblock %}
